using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_MoBan_DongTaiWenJianDaiMa_XiuGai : System.Web.UI.Page
{
    private 访问 访问;
    private int ID;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("更新动态文件代码", "网站后台", "更新动态文件代码", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        ID = Convert.ToInt32(Request.QueryString["ID"]);

        if (this.IsPostBack)
            更新动态文件代码();
        else
            初始化();
    }

    private void 初始化()
    {
        Hashtable 动态文件代码 = 常用.SQL_获取(new SqlCommand("SELECT * FROM [" + 程序.数据表前缀 + "模板_动态文件代码] WHERE [ID]=" + ID, 访问.连接));

        if (动态文件代码 == null)
            throw new Exception("动态文件代码不存在");

        LeiXing.Text = 动态文件代码["类型"].ToString();
        if (Convert.ToBoolean(动态文件代码["版本"]))
            BanBen_true.Checked = true;
        else
            BanBen_false.Checked = true;
        DaiMaNeiRong.Text = 动态文件代码["代码内容"].ToString();
    }

    private void 更新动态文件代码()
    {
        String 类型 = LeiXing.Text;
        bool 版本 = BanBen_true.Checked;
        String 代码内容 = DaiMaNeiRong.Text;

        SqlCommand 语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "模板_动态文件代码] SET " +
            "[类型]=@类型," +
            "[版本]=@版本," +
            "[代码内容]=@代码内容 WHERE [ID]=" + ID, 访问.连接);
        语句.Parameters.Add("@类型", SqlDbType.NVarChar).Value = 类型;
        语句.Parameters.Add("@版本", SqlDbType.Bit).Value = 版本;
        语句.Parameters.Add("@代码内容", SqlDbType.NVarChar).Value = 代码内容;
        语句.ExecuteNonQuery();

        Response.Redirect(Request.QueryString["rurl"]);
    }
}
